cURL
curl --request PUT \
--url https://app.teable.ai/api/table/%7BtableId%7D/plugin-context-menu/%7BpluginInstallId%7D/move \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"anchorId":"string","position":"before"}'const url = 'https://app.teable.ai/api/table/%7BtableId%7D/plugin-context-menu/%7BpluginInstallId%7D/move';
const options = {
method: 'PUT',
headers: {
Authorization: 'Bearer REPLACE_BEARER_TOKEN',
'content-type': 'application/json'
},
body: '{"anchorId":"string","position":"before"}'
};
try {
const response = await fetch(url, options);
const data = await response.json();
console.log(data);
} catch (error) {
console.error(error);
}const http = require('https');
const options = {
method: 'PUT',
hostname: 'app.teable.ai',
port: null,
path: '/api/table/%7BtableId%7D/plugin-context-menu/%7BpluginInstallId%7D/move',
headers: {
Authorization: 'Bearer REPLACE_BEARER_TOKEN',
'content-type': 'application/json'
}
};
const req = http.request(options, function (res) {
const chunks = [];
res.on('data', function (chunk) {
chunks.push(chunk);
});
res.on('end', function () {
const body = Buffer.concat(chunks);
console.log(body.toString());
});
});
req.write(JSON.stringify({anchorId: 'string', position: 'before'}));
req.end();import http.client
conn = http.client.HTTPSConnection("app.teable.ai")
payload = "{\"anchorId\":\"string\",\"position\":\"before\"}"
headers = {
'Authorization': "Bearer REPLACE_BEARER_TOKEN",
'content-type': "application/json"
}
conn.request("PUT", "/api/table/%7BtableId%7D/plugin-context-menu/%7BpluginInstallId%7D/move", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))
plugin-context-menu
Put table plugin context menu move
PUT
/
table
/
{tableId}
/
plugin-context-menu
/
{pluginInstallId}
/
move
cURL
最后修改于 2026年7月10日
此页面对您有帮助吗?
⌘I

